Bug 838944 - ovirt-engine-backend: when tasks fail on snapshot we change the snapshot status to BROKEN
ovirt-engine-backend: when tasks fail on snapshot we change the snapshot stat...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: 3.1.0
Assigned To: Ayal Baron
Haim
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 09:33 EDT by Dafna Ron
Modified: 2016-02-10 11:41 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-27 08:37:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (404.19 KB, application/x-gzip)
2012-07-10 09:33 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-07-10 09:33:30 EDT
Created attachment 597337 [details]
log

Description of problem:

I failed a delete snapshot task in the spm  host and snapshot is getting status BROKEN. 
1. even if we decide that the snapshot is no longer usable, BROKEN is not a good way to describe it (I am assuming that this was decided because engine assumes that the chain is broken) 
2. vdsm can rollback on some actions and even delete if not yet sent to storage so just because the task failed does not mean that engine should decide that the chain was broken and that the image is no longer usable. 

Version-Release number of selected component (if applicable):

si9.1

How reproducible:

100%

Steps to Reproduce:
1. create a vm with large disk -> create snapshots
2. delete a snapshot
3. use vdsClinet -s 0 stopTask <task id> to stop the task
  
Actual results:

snapshot status will change to BROKEN

Expected results:

1. BROKEN is not a good way to phrase it (even if snapshot is no longer usable)
2. engine has no idea what is the image status so why decide that it is no longer usable and that the chain is broken?
3. in vdsm, if the delete has started there is no way of rolling back and this may cause a snapshot to still exist in db but not in storage. in which case, engine will be the one causing the chain to be broken instead of removing item from db. 

Additional info: logs
Comment 2 Itamar Heim 2013-01-27 08:37:30 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.